import React from 'react';
declare class SQNavigation extends React.Component {
    state: any;
    props: any;
    static propTypes: any;
    constructor(props: any);
    onMenuClick(item: any): void;
    handleClose(): void;
    onMenuItemClick(item: any): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export default SQNavigation;
